Last Comment Bug 738077 - Clicking tab close button in inactive window on OS X should close tab
: Clicking tab close button in inactive window on OS X should close tab
Status: RESOLVED FIXED
[fixed-in-fx-team]
: ux-consistency
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: Firefox 15
Assigned To: Frank Yan (:fryn)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 16:56 PDT by Frank Yan (:fryn)
Modified: 2012-05-16 13:17 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (870 bytes, patch)
2012-03-21 16:56 PDT, Frank Yan (:fryn)
gavin.sharp: review+
jboriss: ui‑review+
Details | Diff | Review

Description Frank Yan (:fryn) 2012-03-21 16:56:08 PDT
Created attachment 608147 [details] [diff] [review]
patch

It was believed that the UI precedent on OS X was to disable tab close buttons in inactive windows on OS X. However, other applications on OS X, including but not limited to Safari, Chrome, and Terminal, do not disable the tab close buttons in inactive windows, and neither should we.
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-03-21 17:50:25 PDT
ref bug 392188 comment 27
Comment 2 Mozilla RelEng Bot 2012-03-29 17:38:45 PDT
Autoland Patchset:
	Patches: 608147
	Branch: mozilla-central => try
	Destination: http://hg.mozilla.org/try/pushloghtml?changeset=65e3873b0dfb
Try run started, revision 65e3873b0dfb. To cancel or monitor the job, see: https://tbpl.mozilla.org/?tree=Try&rev=65e3873b0dfb
Comment 3 Mozilla RelEng Bot 2012-03-29 23:04:51 PDT
Try run for 65e3873b0dfb is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=65e3873b0dfb
Results (out of 3 total builds):
    success: 3
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/autolanduser@mozilla.com-65e3873b0dfb
Comment 5 Rob Campbell [:rc] (:robcee) 2012-05-16 13:14:39 PDT
https://hg.mozilla.org/mozilla-central/rev/6aa19c67af2f

Note You need to log in before you can comment on or make changes to this bug.